# Workaround for the problem of /usr/bin/strip not handling PE binaries.
%define __spec_install_post %{nil}

%define appname gcc
%define gcc     %{appname}-core
#%define gpp     %{appname}-g++
%define mainver 3.4.5
%define subver  20060117-1
%define target  i386-mingw32

# Don't build debuginfo packages
%define debug_package %{nil}

Summary:   GCC, GNU Compiler Collection (C/C++ compiler) for MinGW/Wine.
Name:      mingw-%{appname}-core
Version:   %{mainver}
Release:   15hl
License:   GPL
Packager:  Hans Leidekker <hans@it.vu.nl>
Vendor:    Hans Leidekker <hans@it.vu.nl>

Group:     Development/Languages
URL:       http://sourceforge.net/projects/mingw
Source0:   http://prdownloads.sourceforge.net/mingw/%{gcc}-%{mainver}-%{subver}-src.tar.gz
Source1:   http://prdownloads.sourceforge.net/mingw/%{gpp}-%{mainver}-%{subver}-src.tar.gz
#Patch0:    gcc-gpp-ctype.patch
#Patch1:    gcc-gpp-basic_file.patch
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: mingw-binutils mingw-runtime mingw-w32api
Obsoletes: gcc-mingw gcc-core-mingw

#%description
#This package contains the core of the GNU Compiler Collection: gcc and g++. You'll need this package in order to cross compile C/C++ code into PE executables on a Linux host. The source of this package is %{appname}-%{mainver}-%{subver}.  
%description
This package contains the core of the GNU Compiler Collection: gcc. You'll need this package in order to cross compile C code into PE executables on a Linux host. The source of this package is %{appname}-%{mainver}-%{subver}.  

%prep

%setup -q -n %{appname}-%{mainver}-%{subver}
#%setup -q -T -D -b 1 -n %{appname}-%{mainver}-%{subver}

#%patch0 -p1
#%patch1 -p1

mkdir build

%build
cd build
../configure --target=%{target} \
--prefix=/usr/local \
--with-local-prefix=/usr/local \
--with-newlib \
--enable-threads \
--disable-nls \
--enable-languages=c \
--disable-win32-registry \
--disable-shared \
--enable-sjlj-exceptions
make "CFLAGS=-O2" "LDFLAGS=-s"
cd ..

%install
rm -rf ${RPM_BUILD_ROOT}
cd build
make prefix=${RPM_BUILD_ROOT}/usr/local install
i386-mingw32-ranlib ${RPM_BUILD_ROOT}/usr/local/lib/gcc/i386-mingw32/%{mainver}/*.a
rm -f $RPM_BUILD_ROOT/usr/local/info/dir
cd ..

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
/usr/local/*

%changelog
* Sat Jan 26 2008 Hans Leidekker <hans@it.vu.nl>                3.4.5-15hl
- rebuild on Fedora Core 8

* Wed May 30 2007 Hans Leidekker <hans@it.vu.nl>                3.4.5-14hl
- rebuild on Fedora Core 7

* Sat Mar 04 2006 Hans Leidekker <hans@it.vu.nl>                3.4.5-13hl
- update gcc to 3.4.5-20060117-1
- rebuild on Fedora Core 5 test 2

* Fri Nov 18 2005 Hans Leidekker <hans@it.vu.nl>                3.4.4-12hl
- update gcc to 3.4.4-20050522-1
- rebuild on Fedora Core 4

* Sat Dec 18 2004 Hans Leidekker <hans@it.vu.nl>                3.4.2-10hl
- rename to mingw-gcc
- rebuild on Fedora Core 3

* Sat Oct 02 2004 Hans Leidekker <hans@it.vu.nl>                3.4.2-9hl
- update gcc to 3.4.2-20040916-1
- rebuild on Fedora Core 3 test 2

* Sat Aug 07 2004 Hans Leidekker <hans@it.vu.nl>                3.4.1-8hl
- update gcc to 3.4.1-20040711-1
- build only a C compiler 
- rename the package from gcc-mingw to gcc-core-mingw
- rebuild on Fedora Core 3 test 1

* Sun Feb 22 2004 Hans Leidekker <hans@it.vu.nl>		3.2.3-7hl
- don't build debuginfo packages
- rebuild on Fedora Core 2 test 1

* Wed Dec 24 2003 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	6bw
- rebuild on Fedora Core 1.

* Sat May 10 2003 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	5bw
- update gcc-3.2.3-20030504-1

* Sun Feb 09 2003 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	4bw
- update gcc-3.2.2-20030208-1

* Sat Dec 07 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	3bw
- update 3.2.1

* Wed Nov 06 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	2bw
- rebuild on RH80

* Sat Oct 05 2002 Fuhito Suguri <bitwalk@jcom.home.ne.jp>	1bw
- Initial Build
